import threading
import uvicorn
from app.backend.main import app  # Your FastAPI app
import os


def run_fastapi():
    uvicorn.run(app, host="127.0.0.1", port=8000)


def start_tkinter_app():
    os.system("python app/frontend/main.py")


if __name__ == "__main__":
    # Start FastAPI in a separate thread
    fastapi_thread = threading.Thread(target=run_fastapi, daemon=True)
    fastapi_thread.start()

    # Start Tkinter in the main thread
    start_tkinter_app()
